/**
  ******************************************************************************
  * @file    Project/main.c
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    16_January-2012
  * @brief   Delay.c
  ******************************************************************************
  */


// Includes ------------------------------------------------------------------
#include "stm8s.h"
#include "delay.h"


// Private defines -----------------------------------------------------------
// Private function prototypes -----------------------------------------------
// Private functions ---------------------------------------------------------
// Global variables
volatile u32 TimingDelay;

/**
  ******************************************************************************
  * @brief Delay before completing the action
  * @param[in] Delay value in milliseconds
  * None
  * @retval void None
  * @par Required preconditions:
  * None
  ******************************************************************************
  */
void Delay(u32 nTime)
{
  // Wait delay elapsed by interrupt update of timingdelay variable
  TimingDelay = nTime;
  while (TimingDelay != 0);
}

/**
  ******************************************************************************
  * @brief Decrement initial value at each interrupt
  * @param[in]
  * None
  * @retval void None
  * @par Required preconditions:
  * None
  ******************************************************************************
  */
void TimingDelay_Decrement(void)
{
  if (TimingDelay != 0x00)
  {
    TimingDelay--;
  }
}


